Skip to main content
GET
Get a list of Export Jobs

Authorizations

Authorization
string
header
required

JWT Bearer token authentication. Include the token in the Authorization header as: Bearer <token>

Query Parameters

company_id
string<uuid>

Enter the specific company ID for which you want to retrieve the list of export jobs processed before.

status
enum<string> | null

Fetch a list of jobs for a specific status.

Available options:
pending,
in_progress,
failed,
completed,
completed_with_errors
statuses
enum<string>[]

Fetch a list of jobs for specific statuses.

Available options:
pending,
in_progress,
failed,
completed,
completed_with_errors
before
string

Lower bound of the page of data to return (cannot be used together with [after] or [offset]).

Pattern: ^[A-Z2-7=~]+$
after
string

Upper bound of the page of data to return (cannot be used together with [before] or [offset]).

Pattern: ^[A-Z2-7=~]+$
offset
integer<int64>

Offset of the page of data to return (cannot be used together with [before] or [after]).

Required range: x >= 0
limit
integer<int32>

The maximum amount of items to return.

Required range: x >= 0
sorting_keys
string[]

The keys to sort the results by.

sorting_order
enum<string>[]

The order to sort the results by. Must be the same length as [sortingKeys]; one order per key.

Available options:
ASC,
ASC_NULLS_FIRST,
ASC_NULLS_LAST,
DESC,
DESC_NULLS_FIRST,
DESC_NULLS_LAST

Response

200 - application/json;charset=UTF-8

List of export jobs. If no jobs are found, an empty list is returned.

data
object[]
required
pagination
object
required